ESXi
cancel
Showing results for 
Search instead for 
Did you mean: 

Problem with latest drivers for DL380 G7

alandsidel
Occasional Visitor

Problem with latest drivers for DL380 G7

I have three of these servers running ESXi 5.5 (ent+) with Emulex LPe11000 FC HBAs attached to two P2000 G3 MSAs.

 

The latest round of updates in VUM has a new driver for the HBAs which does not actually work with them.  Upon installing the lpfc update (VMW-ESX-5.5.0-lpfc-10.0.727.44) the FC HBAs are no longer detected by vmware.  The only way to restore access to the FC SAN, short of reinstalling ESX (which I've done on one host *several* times to try and narrow down the problem) is to use esxcli to uninstall the lpfc VIB, which reverts it back to the one that ships from VMWare (10.0.100.1-1vmw.550.0.0.1331820).

 

I've been trying to track down exactly what updates or combination of updates causes the problem and have been unsuccessful.  I have reinstalled ESX on all three hosts over the course of this week.  I have one "vanilla" host (esxi01) with no updates applied, working properly.  I have another (esxi02) that has been updated with VUM to the latest set of updates, patches, and extensions which also works properly.  The final host (esxi03), which I began updating exactly as I did with esxi02 lost connectivity to the SAN as described.

 

To eliminate any weird VUM conflicts or problems I tried using the HP supplied ESXi 5.5 ISOs, both VMware-ESXi-5.5.0-1331820-HP-5.72.27-Feb2014.iso and VMware-ESXi-5.5.0-Update1-1623387-HP-5.73.21-Mar2014.iso and both of them have the same problem right out of the gate -- no FC SAN connectivity.  Additionally, they both fail to start vmnic0 but start 1-3 just fine.

 

Something is wrong with the latest round of updates..

 

1 REPLY
alandsidel
Occasional Visitor

Re: Problem with latest drivers for DL380 G7

Just an update, what I've found is that an LPe11002 will not work with the latest drivers unless it's also on the latest firmware, but an LPe11000 will.

 

I don't know if these are both rebranded to the same HP model # and that's why they're not being picked up or what, but once I was able to get the firmware updated on the host with the LPe11002, the latest emulex drivers an CIM (and oneCommand) are working fine on that host.

 

Getting the firmware flashed is a chore in itself.  I finally got it done by booting a CentOS LiveCD via iLO and downloading the appropriate emulex drivers and tools, and flashing it from there.